diff a/src/hotspot/share/gc/shenandoah/heuristics/shenandoahSpaceInfo.hpp b/src/hotspot/share/gc/shenandoah/heuristics/shenandoahSpaceInfo.hpp
--- a/src/hotspot/share/gc/shenandoah/heuristics/shenandoahSpaceInfo.hpp
+++ b/src/hotspot/share/gc/shenandoah/heuristics/shenandoahSpaceInfo.hpp
@@ -34,12 +34,15 @@
  * future operational modes of Shenandoah in which the heap may be split
  * into generations.
  */
 class ShenandoahSpaceInfo {
 public:
+  virtual const char* name() const = 0;
   virtual size_t soft_max_capacity() const = 0;
   virtual size_t max_capacity() const = 0;
+  virtual size_t soft_available() const = 0;
   virtual size_t available() const = 0;
+  virtual size_t used() const = 0;
   virtual size_t bytes_allocated_since_gc_start() const = 0;
 };
 
 #endif //SHARE_GC_SHENANDOAH_HEURISTICS_SHENANDOAHSPACEINFO_HPP
